
From: Rusty Russell <rusty@rustcorp.com.au>

Only print the tainted message the first time.  Its purpose is to warn
users that we can't support them, not to fill their logs.


---

 25-akpm/kernel/module.c |    2 +-
 1 files changed, 1 insertion(+), 1 deletion(-)

diff -puN kernel/module.c~only-print-tainted-message-once kernel/module.c
--- 25/kernel/module.c~only-print-tainted-message-once	2004-04-27 21:28:34.224546240 -0700
+++ 25-akpm/kernel/module.c	2004-04-27 21:28:34.228545632 -0700
@@ -1130,7 +1130,7 @@ static void set_license(struct module *m
 		license = "unspecified";
 
 	mod->license_gplok = license_is_gpl_compatible(license);
-	if (!mod->license_gplok) {
+	if (!mod->license_gplok && !(tainted & TAINT_PROPRIETARY_MODULE)) {
 		printk(KERN_WARNING "%s: module license '%s' taints kernel.\n",
 		       mod->name, license);
 		tainted |= TAINT_PROPRIETARY_MODULE;

_
